Bug 1096208 - snapper: fails to build with Boost 1.67.0
snapper: fails to build with Boost 1.67.0
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Arvin Schnell
Jiri Srain
:
Depends on:
Blocks: 1089801
  Show dependency treegraph
 
Reported: 2018-06-06 09:39 UTC by Adam Majer
Modified: 2018-12-16 07:44 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
fix (377 bytes, patch)
2018-06-06 09:39 UTC, Adam Majer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2018-06-06 09:39:45 UTC
Created attachment 772664 [details]
fix

Snapper fails to build with new Boost library due to missing pthread library during link.

    https://build.opensuse.org/package/show/home:adamm:boost_test/snapper

Please push an update to snapper with the following patch accepted upstream as it is currently blocking new Boost from Factory.

    https://github.com/openSUSE/snapper/pull/409
Comment 1 Arvin Schnell 2018-06-07 08:32:11 UTC
SR: https://build.opensuse.org/request/show/614862
Comment 3 Swamp Workflow Management 2018-09-27 22:08:41 UTC
SUSE-RU-2018:2909-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1096208,1096401
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    snapper-0.5.6-5.3.1
Comment 4 Swamp Workflow Management 2018-09-29 19:11:41 UTC
openSUSE-RU-2018:2952-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1096208,1096401
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    snapper-0.5.6-lp150.3.6.1